function love.load()
	require("maths")
	garm = require("garm")

	lgr = love.graphics
	lmo = love.mouse
	
	s = {}
	s.distance = 30
	
	lgr.setBackgroundColor(255, 255, 255)
	local r, g, b = garm.HSV(20, 255, 255, 255)
	cc = {r = r, g = g, b = b, h = 20} -- currentcolor
	
	createCircles()
	math.randomseed(os.time())
	for i = 1, 5 do math.random() end
end

function createCircles()
	circles = {}
	for i = 1, 100 do
		local x = math.random(0, lgr.getWidth())
		local y = math.random(0, lgr.getHeight())
		-- table.insert(circles, {x = x, y = y, r = 10, soll = 10})
		table.insert(circles, {x = x, y = y, r = -((math.random()*10)^2), soll = 10})
	end
end

function love.draw()
	lgr.setColor(cc.r, cc.g, cc.b)
	for _, c in pairs(circles) do
		lgr.circle("fill", c.x, c.y, math.max(0, c.r), 50)
	end
end

function love.update(dt)
	-- calculate size
	for _, c in pairs(circles) do
		c.r = (c.r - c.soll)*(0.0005^dt) + c.soll
	end
	
	-- detect mouse
	local x, y = lmo.getPosition()
	for _, c in pairs(circles) do
		if math.dist(x, y, c.x, c.y) < c.r then
			if lmo.isDown("l") then
				local xm = math.max(c.x, lgr.getWidth() - c.x)
				local ym = math.max(c.y, lgr.getHeight() - c.y)
				c.soll = math.dist(0, 0, xm, ym) + 5
			else
				c.soll = 50
			end
		else
			c.soll = 10
		end
	end
	
	-- new screen
	for _, c in pairs(circles) do
		local xm = math.max(c.x, lgr.getWidth() - c.x)
		local ym = math.max(c.y, lgr.getHeight() - c.y)
		local b = math.dist(0, 0, xm, ym)
		if c.r >= b then -- new screen
			lgr.setBackgroundColor(cc.r, cc.g, cc.b)
			local nh = cc.h + 50 + math.random(0, 155) --new hue
			nh = nh%255
			local r, g, b = garm.HSV(nh, 255, 255, 255)
			cc = {r = r, g = g, b = b, h = nh}
			createCircles()
			return
		end
	end
end

--[[--
function love.draw() end
function love.errhand(msg) end
function love.focus(f) end
function love.gamepadaxis(joystick, axis, value) end
function love.gamepadpressed(joystick, button) end
function love.gamepadreleased(joystick, button) end
function love.joystickadded(joystick) end
function love.joystickaxis(joystick, axis, value) end
function love.joystickhat(joystick, hat, direction) end
function love.joystickpressed(joystick, button) end
function love.joystickreleased(joystick, button) end
function love.joystickremoved(joystick) end
function love.keypressed(key, isrepeat) end
function love.keyreleased(key) end
function love.load(arg) end
function love.mousefocus(f) end
function love.mousemoved(x, y, dx, dy) end
function love.mousepressed(x, y, button) end
function love.mousereleased(x, y, button) end
function love.quit() end
function love.resize(w, h) end
function love.run() end
function love.textinput(text) end
function love.threaderror(thread, errorstr) end
function love.update(dt) end
function love.visible(v) end
--]]--